Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | Related Pages

# SoNodeKitDetail Class Reference
[Detail classes]

`#include <Inventor/details/SoNodeKitDetail.h>`

Inheritance diagram for SoNodeKitDetail:

List of all members.

## Detailed Description

The SoNodeKitDetail class is yet to be documented.

When a pick action is executed and geometry within a nodekit is hit, the nodekit generates an SoNodeKitDetail object which contains information about the specific part inside the nodekit hit by the pick ray.

See also:
  SoRayPickAction

## Public Member Functions
| SoNodeKitDetail (void)
virtual | ~SoNodeKitDetail ()
virtual SoDetail * | copy (void) const
void | setNodeKit (SoBaseKit *kit)
SoBaseKit * | getNodeKit (void) const
void | setPart (SoNode *part)
SoNode * | getPart (void) const
void | setPartName (const SbName &name)
const SbName & | getPartName (void) const
## Static Public Member Functions
void | initClass (void)
## Protected Attributes
SoBaseKit * | myNodeKit
SoNode * | myPart
SbName | myPartName

## Constructor & Destructor Documentation

SoNodeKitDetail::SoNodeKitDetail | ( | void |  | ) |

| Constructor.

SoNodeKitDetail::~SoNodeKitDetail | ( |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

void SoNodeKitDetail::initClass | ( | void |  | ) | `[static]`

| Initialize relevant common data for all instances, like the type system. Reimplemented from SoDetail.

SoDetail * SoNodeKitDetail::copy | ( | void |  | ) | const`[virtual]`

| Return a deep copy of ourself. Note that if the Coin library has been built as a DLL under Microsoft Windows and you use this method from application code, you must make sure that both the Coin DLL and the application executable is using the same instance of a C Run-Time (CRT) library. Otherwise, you will get memory heap corruption upon deallocating the returned instances, eventually leading to mysterious crashes. Implements SoDetail.

void SoNodeKitDetail::setNodeKit | ( | SoBaseKit * | kit | ) |

| Set the pointer indicating which nodekit generated this detail object.

SoBaseKit * SoNodeKitDetail::getNodeKit | ( | void |  | ) | const

| Returns a pointer to the nodekit generating this details object.

void SoNodeKitDetail::setPart | ( | SoNode * | part | ) |

| Set the pointer indicating which node inside the nodekit was hit by a pick.

SoNode * SoNodeKitDetail::getPart | ( | void |  | ) | const

| Return node inside nodekit which was hit.

void SoNodeKitDetail::setPartName | ( | const SbName & | name | ) |

| Set catalog name of node part which was hit.

const SbName & SoNodeKitDetail::getPartName | ( | void |  | ) | const

| Return catalog name of nodekit part which was hit.

## Member Data Documentation

SoBaseKit * SoNodeKitDetail::myNodeKit`[protected]`

| The nodekit generating this details object.

SoNode * SoNodeKitDetail::myPart`[protected]`

| Node inside nodekit which was hit.

SbName SoNodeKitDetail::myPartName`[protected]`

| Catalog name of nodekit part which was hit.

The documentation for this class was generated from the following files:

- SoNodeKitDetail.h
- SoNodeKitDetail.cpp